function OnWarpEnter()
	SetMarker("cs\\Warp_0214.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0209.wp" , 0 , 0) 

	ImportAnimationWarp("3D\\cs\\Warp_0011")
	StartAnimation("bva1")


	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 
		
		
		if  nostradamus_sleep_2ndnight then
			StartAnimationPart("bban",210,230,-1,false)
		else
			StartAnimationPart("bban",0,59,-1,false)
		end

		AnimationSetToEnd("bdan",false)
		AnimationSetToStart("bean")
		StartAnimation("bca1")
		StartAnimationPart("boan", 60, 89, -1, false)
		AnimationSetToStart("bla1")


	end 
	if ETAT_DAY == "D3" then 
		StartAnimationPart("bban",210,230,-1,false)
		AnimationSetToEnd("bdan",false)
		AnimationSetToStart("bean")
		StartAnimation("bca1")
		StartAnimationPart("boan", 60, 89, -1, false)
		AnimationSetToStart("bla1")
	end 
	if ETAT_DAY == "D4" then 
--		StartAnimationPart("bban",210,230,-1,false)
		AnimationSetToEnd("bdan",false)
		AnimationSetToStart("bean")
		if not PuzzlePlanetSolved then
			AnimationSetToStart("baan")
		end
		StartAnimation("bca1")
		StartAnimationPart("boan", 60, 89, -1, false)
		AnimationSetToStart("bla1")
	end 
	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0209.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0214.wp" then 
		ChangeWarp(objectName)
	end
end
